commit:     8247a2c52971aac4fbdafd4ce44b4116dab328de
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Wed Nov 23 19:03:24 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 15:55:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8247a2c5

app-text/libmwaw: 0.3.9 version bump, USE=tools, --with-sharedptr=c++11

Drop eutils.eclass

Package-Manager: portage-2.3.0

 app-text/libmwaw/libmwaw-0.3.8.ebuild | 14 ++++++--------
 app-text/libmwaw/libmwaw-0.3.9.ebuild | 14 ++++++--------
 app-text/libmwaw/libmwaw-9999.ebuild  | 12 +++++-------
 app-text/libmwaw/metadata.xml         |  3 +++
 4 files changed, 20 insertions(+), 23 deletions(-)

diff --git a/app-text/libmwaw/libmwaw-0.3.8.ebuild 
b/app-text/libmwaw/libmwaw-0.3.8.ebuild
index 234cf6f..5a1b195 100644
--- a/app-text/libmwaw/libmwaw-0.3.8.ebuild
+++ b/app-text/libmwaw/libmwaw-0.3.8.ebuild
@@ -5,11 +5,10 @@
 EAPI=6
 
 EGIT_REPO_URI="git://git.code.sf.net/p/libmwaw/libmwaw"
-inherit eutils
 [[ ${PV} == 9999 ]] && inherit autotools git-r3
 
 DESCRIPTION="Library parsing many pre-OSX MAC text formats"
-HOMEPAGE="http://sourceforge.net/p/libmwaw/wiki/Home/";
+HOMEPAGE="https://sourceforge.net/p/libmwaw/wiki/Home/";
 [[ ${PV} == 9999 ]] || SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
 
 LICENSE="LGPL-2.1"
@@ -26,7 +25,7 @@ RDEPEND="
        sys-libs/zlib
 "
 DEPEND="${RDEPEND}
-       >=dev-libs/boost-1.46:=
+       dev-libs/boost
        sys-devel/libtool
        virtual/pkgconfig
        doc? ( app-doc/doxygen )
@@ -40,15 +39,14 @@ src_prepare() {
 src_configure() {
        # zip is hard enabled as the zlib is dep on the rdeps anyway
        econf \
-               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
-               --with-sharedptr=boost \
                --enable-zip \
                --disable-werror \
-               $(use_enable static-libs static) \
-               $(use_with doc docs)
+               --with-sharedptr=boost \
+               $(use_with doc docs) \
+               $(use_enable static-libs static)
 }
 
 src_install() {
        default
-       prune_libtool_files --all
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/app-text/libmwaw/libmwaw-0.3.9.ebuild 
b/app-text/libmwaw/libmwaw-0.3.9.ebuild
index a8a3aae..3d50f04 100644
--- a/app-text/libmwaw/libmwaw-0.3.9.ebuild
+++ b/app-text/libmwaw/libmwaw-0.3.9.ebuild
@@ -5,11 +5,10 @@
 EAPI=6
 
 EGIT_REPO_URI="git://git.code.sf.net/p/libmwaw/libmwaw"
-inherit eutils
 [[ ${PV} == 9999 ]] && inherit autotools git-r3
 
 DESCRIPTION="Library parsing many pre-OSX MAC text formats"
-HOMEPAGE="http://sourceforge.net/p/libmwaw/wiki/Home/";
+HOMEPAGE="https://sourceforge.net/p/libmwaw/wiki/Home/";
 [[ ${PV} == 9999 ]] || SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
 
 LICENSE="LGPL-2.1"
@@ -18,7 +17,7 @@ SLOT="0"
 [[ ${PV} == 9999 ]] || \
 KEYWORDS="~amd64 ~arm ~x86"
 
-IUSE="doc static-libs"
+IUSE="doc static-libs tools"
 
 RDEPEND="
        dev-libs/librevenge
@@ -26,7 +25,6 @@ RDEPEND="
        sys-libs/zlib
 "
 DEPEND="${RDEPEND}
-       >=dev-libs/boost-1.46:=
        sys-devel/libtool
        virtual/pkgconfig
        doc? ( app-doc/doxygen )
@@ -40,15 +38,15 @@ src_prepare() {
 src_configure() {
        # zip is hard enabled as the zlib is dep on the rdeps anyway
        econf \
-               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
-               --with-sharedptr=boost \
                --enable-zip \
                --disable-werror \
+               --with-sharedptr=c++11 \
+               $(use_with doc docs) \
                $(use_enable static-libs static) \
-               $(use_with doc docs)
+               $(use_enable tools)
 }
 
 src_install() {
        default
-       prune_libtool_files --all
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/app-text/libmwaw/libmwaw-9999.ebuild 
b/app-text/libmwaw/libmwaw-9999.ebuild
index a8a3aae..a1f58dc 100644
--- a/app-text/libmwaw/libmwaw-9999.ebuild
+++ b/app-text/libmwaw/libmwaw-9999.ebuild
@@ -5,7 +5,6 @@
 EAPI=6
 
 EGIT_REPO_URI="git://git.code.sf.net/p/libmwaw/libmwaw"
-inherit eutils
 [[ ${PV} == 9999 ]] && inherit autotools git-r3
 
 DESCRIPTION="Library parsing many pre-OSX MAC text formats"
@@ -18,7 +17,7 @@ SLOT="0"
 [[ ${PV} == 9999 ]] || \
 KEYWORDS="~amd64 ~arm ~x86"
 
-IUSE="doc static-libs"
+IUSE="doc static-libs tools"
 
 RDEPEND="
        dev-libs/librevenge
@@ -26,7 +25,6 @@ RDEPEND="
        sys-libs/zlib
 "
 DEPEND="${RDEPEND}
-       >=dev-libs/boost-1.46:=
        sys-devel/libtool
        virtual/pkgconfig
        doc? ( app-doc/doxygen )
@@ -40,15 +38,15 @@ src_prepare() {
 src_configure() {
        # zip is hard enabled as the zlib is dep on the rdeps anyway
        econf \
-               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
-               --with-sharedptr=boost \
                --enable-zip \
                --disable-werror \
+               --with-sharedptr=c++11 \
+               $(use_with doc docs) \
                $(use_enable static-libs static) \
-               $(use_with doc docs)
+               $(use_enable tools)
 }
 
 src_install() {
        default
-       prune_libtool_files --all
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/app-text/libmwaw/metadata.xml b/app-text/libmwaw/metadata.xml
index c7b8642..09f5b87 100644
--- a/app-text/libmwaw/metadata.xml
+++ b/app-text/libmwaw/metadata.xml
@@ -8,4 +8,7 @@
        <upstream>
                <remote-id type="sourceforge">libmwaw</remote-id>
        </upstream>
+       <use>
+               <flag name="tools">Build file conversion tools</flag>
+       </use>
 </pkgmetadata>

Reply via email to